summaryrefslogtreecommitdiff
path: root/tests/basic
diff options
context:
space:
mode:
authorMatt Goins <mjgoins@openflows.com>2008-10-31 16:05:13 -0400
committerMatt Goins <mjgoins@openflows.com>2008-10-31 16:05:13 -0400
commit7f79f55addb03d438f1afebfc19be8086f7afc9a (patch)
tree80cc83b351ed3690f40c51d777d3ca3ec240cae5 /tests/basic
parent680d7340d29d16325eb991feb37885d6faa955e2 (diff)
parentdbd07cf1282c4831f605924e9b13d34278db7f86 (diff)
Merge commit 'dkg/master'
Diffstat (limited to 'tests/basic')
-rwxr-xr-xtests/basic7
1 files changed, 7 insertions, 0 deletions
diff --git a/tests/basic b/tests/basic
index d735578..289a1b7 100755
--- a/tests/basic
+++ b/tests/basic
@@ -14,6 +14,13 @@
# all subcommands in this script should complete without failure:
set -e
+## make sure that the right tools are installed to run the test. the
+## test has *more* requirements than plain ol' monkeysphere:
+
+which socat || { echo "You must have socat installed to run this test." ; exit 1; }
+
+## FIXME: other checks?
+
# gpg command for test admin user
gpgadmin() {
GNUPGHOME="$TEMPDIR"/admin/.gnupg gpg "$@"